﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Threading;
using System.Diagnostics;

namespace WinAtivityIndicator
{
    public partial class Form1 : Form
    {
        BackgroundWorker bw = new BackgroundWorker();
        bool finish = true;
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.ultraActivityIndicator1.AnimationEnabled = true;
            this.ultraActivityIndicator1.AnimationSpeed = 50;
            this.ultraActivityIndicator1.ResetAnimation();
            
            bw.DoWork += new DoWorkEventHandler(bw_DoWork);

        }


        void bw_DoWork(object sender, DoWorkEventArgs e)
        {
                    // Perform a time consuming operation and report progress.
                    System.Threading.Thread.Sleep(5000);
                    finish = true;

        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (finish)
            {
                finish = false;
                bw.RunWorkerAsync();
            }
            else
            {
                Debug.Write("work");
            }

            
        }

        private void button2_Click(object sender, EventArgs e)
        {
            System.Threading.Thread.Sleep(5000);
        }


    }
}
